Summary:	A modern multi-purpose calculator library
Summary(pl.UTF-8):	Nowoczesna, wielozadaniowa biblioteka kalkulatora
Name:		libqalculate
Version:	4.3.0
Release:	1
License:	GPL
Group:		Libraries
Source0:	https://github.com/Qalculate/libqalculate/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f287dc5b09173b1cab65142f9e5e7f88
Patch0:		pkgconfig_private.patch
Patch1:		currencies.patch
URL:		http://qalculate.github.io/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cln-devel >= 1.3
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.0.0
BuildRequires:	intltool
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxml2-devel >= 1:2.3.8
BuildRequires:	mpfr-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A modern multi-purpose calculator library.

%description -l pl.UTF-8
Nowoczesna, wielozadaniowa biblioteka kalkulatora.

%package devel
Summary:	Header files for qalculate library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki qalculate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cln-devel >= 1.1
Requires:	glib2-devel >= 1:2.0.0
Requires:	libxml2-devel >= 1:2.3.8

%description devel
Header files for qalculate library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki qalculate.

%package static
Summary:	Static qalculate library
Summary(pl.UTF-8):	Statyczna biblioteka qalculate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static qalculate library.

%description static -l pl.UTF-8
Statyczna biblioteka qalculate.

%prep
%setup -q
#%%patch0 -p1
#%%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted my .pc file
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libqalculate.la

#%%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/qalc
%attr(755,root,root) %{_libdir}/libqalculate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqalculate.so.22
%{_datadir}/qalculate
%{_mandir}/man1/qalc.1*
%{_docdir}/libqalculate/

%files devel
%defattr(644,root,root,755)
%{_libdir}/libqalculate.so
%{_includedir}/%{name}
%{_pkgconfigdir}/libqalculate.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libqalculate.a
%changelog
* Thu Oct 13 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libqalculate.git;a=log;h=master

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6c8a9c1
- BR: mpfr-devel; typo

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7fa71e6
- typo?

* Thu Oct 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 980b3f9
- adding unpackaged files

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8585288
- updated to 4.3.0 (new soname)

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> b3b365f
- icu rebuild

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> 9b3afb1
- icu rebuild

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> b4caeda
- icu rebuild

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 9027246
- icu 67 rebuild
- release 4 (by relup.sh)

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> da48750
- release 3 (by relup.sh)

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> ee98c83
- rebuild with icu 65.1
- release 2 (by relup.sh)

* Tue Apr 16 2019 Adam Gołębiowski <adamg@pld-linux.org> 1f83f8e
- updated to 3.1.0 (soname change)

* Sun Apr 14 2019 Adam Gołębiowski <adamg@pld-linux.org> 4637e0d
- release 2, rebuild against icu 64

* Sat Dec 15 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 2b73d15
- updated to 2.8.2
- changed urls. Project moved to github
- commented patches

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5d6bf2a
- rebuild with readline 7.0
- release 4 (by relup.sh)

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 1002106
- EEK has fixed rate to EUR since 2011

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> f4c8c79
- rel 3

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 0cdd8cd
- add pkgconfig_private.patch from fedora

* Sat Oct 24 2015 Elan Ruusamäe <glen@delfi.ee> 2f76005
- adapter, rm .la, verbose files in system dirs

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> 599b54b
- cleanup docdir for rpm install
- rel 2

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d5e3fd0
- updated gettext BR

